aboutsummaryrefslogtreecommitdiffhomepage
path: root/platform_tools/ios/bin/ios_push_file
diff options
context:
space:
mode:
Diffstat (limited to 'platform_tools/ios/bin/ios_push_file')
-rwxr-xr-xplatform_tools/ios/bin/ios_push_file18
1 files changed, 18 insertions, 0 deletions
diff --git a/platform_tools/ios/bin/ios_push_file b/platform_tools/ios/bin/ios_push_file
new file mode 100755
index 0000000000..263b7c0a63
--- /dev/null
+++ b/platform_tools/ios/bin/ios_push_file
@@ -0,0 +1,18 @@
+#!/bin/bash
+###############################################################################
+# Copyright 2015 Google Inc.
+#
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+###############################################################################
+
+# Fail-fast if anything in the script fails.
+set -e
+
+SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+source $SCRIPT_DIR/ios_setup.sh
+
+HOST_PATH=$1
+DEVICE_PATH=$2
+
+ios_push $HOST_PATH $DEVICE_PATH